---
title: Get Slots
slug: fourkites-api-reference/get-slots
icon: {"apiMethod":"GET"}
createdAt: 2024-05-10T06:28:52.000Z
---

When Load Number, Shipping Type, and Appointment Date are passed, the Get Slots API will give all generic slots available within the given date.

:::ApiMethodV2
```json
{
  "name": "Production",
  "method": "GET",
  "url": "https://api.fourkites.com/api/v1/fetch_slots?load_number=load1&shipping_type=inbound&appointment_date=2024-03-13T00:00:00Z",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "e6tZDLK3z0-viYlI-4MJ4",
        "language": "curl",
        "code": "curl --request GET \\\n  --url 'https://api.fourkites.com/api/v1/fetch_slots?load_number=load1&shipping_type=inbound&appointment_date=2024-03-13T00:00:00Z' \\\n  --header 'apikey: REPLACE_KEY_VALUE'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "e6tZDLK3z0-viYlI-4MJ4"
  },
  "results": {
    "languages": [
      {
        "id": "V7S-XXrcxzQrPHAnE3qgH",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"code\": 200,\n    \"data\": {\n        \"companyId\": \"shipper-sera\",\n        \"facilityId\": \"Rk1fNTU1NzU4\",\n        \"slotInterval\": 60\n        \"calendarId\": 11712,\n        \"calendarName\": \"Default\",\n        \"facilityName\": \"EDT -18000 Facility\",\n        \"isCapacityReached\": false,\n        \"timeZoneName\": \"EST\",\n        \"Slots\": null,\n        \"IsHoliday\": false,\n        \"TotalResults\": 0\n    },\n    \"request_id\": \"co7qphp337fhvs8m8qp0\"\n}"
      },
      {
        "id": "TE_oP1HHCLBr33h6F41Kc",
        "language": "201",
        "customLabel": "",
        "code": "{\n    \"code\": 200,\n    \"data\": {\n        \"companyId\": \"shipper-sera\",\n        \"facilityId\": \"Rk1fOTAzMTQy\",\n        \"calendarId\": 20309,\n        \"calendarName\": \"Live pickup\",\n        \"facilityName\": \"CST -21600 Facility\",\n        \"slotInterval\": 60\n        \"isCapacityReached\": false,\n        \"timeZoneName\": \"CST\",\n        \"Slots\": [\n            {\n                \"startTime\": \"2024-03-28T11:00:00Z\",\n                \"endTime\": \"2024-03-28T12:00:00Z\",\n                \"numberOfSlots\": 1\n            },\n            {\n                \"startTime\": \"2024-03-28T12:00:00Z\",\n                \"endTime\": \"2024-03-28T13:00:00Z\",\n                \"numberOfSlots\": 1\n            },\n            {\n                \"startTime\": \"2024-03-28T13:00:00Z\",\n                \"endTime\": \"2024-03-28T14:00:00Z\",\n                \"numberOfSlots\": 1\n            },\n            {\n                \"startTime\": \"2024-03-28T14:00:00Z\",\n                \"endTime\": \"2024-03-28T15:00:00Z\",\n                \"numberOfSlots\": 1\n            },\n            {\n                \"startTime\": \"2024-03-28T15:00:00Z\",\n                \"endTime\": \"2024-03-28T16:00:00Z\",\n                \"numberOfSlots\": 1\n            }\n        ],\n        \"IsHoliday\": false,\n        \"TotalResults\": 9\n    },\n    \"request_id\": \"co2i32uq5mqtikcvr340\"\n}"
      }
    ],
    "selectedLanguageId": "V7S-XXrcxzQrPHAnE3qgH"
  },
  "request": {
    "pathParameters": [
      {
        "name": "load_number",
        "kind": "required",
        "type": "string",
        "description": "reference or Po so Number (unique)",
        "children": []
      },
      {
        "name": "shipping_type",
        "kind": "required",
        "type": "string",
        "description": "inbound / outbound",
        "children": []
      },
      {
        "name": "appointment_date",
        "kind": "required",
        "type": "string",
        "description": "YYYY-MM-DDTHH:MM:SSZ (Ex: 2024-03-23T00:00:00Z)",
        "children": []
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "production",
  "legacyHash": "y2WxEr9RVrxCzaHa9n_Qf"
}
```
:::

:::ApiMethodV2
```json
{
  "name": "Staging",
  "method": "GET",
  "url": "https://api-staging.fourkites.com/api/v1/fetch_slots?load_number=load1&shipping_type=inbound&appointment_date=2024-03-13T00:00:00Z",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "e6tZDLK3z0-viYlI-4MJ4",
        "language": "curl",
        "code": "curl --request GET \\\n  --url 'https://api-staging.fourkites.com/api/v1/fetch_slots?load_number=load1&shipping_type=inbound&appointment_date=2024-03-13T00:00:00Z' \\\n  --header 'apikey: REPLACE_KEY_VALUE'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "e6tZDLK3z0-viYlI-4MJ4"
  },
  "results": {
    "languages": [
      {
        "id": "V7S-XXrcxzQrPHAnE3qgH",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"code\": 200,\n    \"data\": {\n        \"companyId\": \"shipper-sera\",\n        \"facilityId\": \"Rk1fNTU1NzU4\",\n        \"slotInterval\": 60\n        \"calendarId\": 11712,\n        \"calendarName\": \"Default\",\n        \"facilityName\": \"EDT -18000 Facility\",\n        \"isCapacityReached\": false,\n        \"timeZoneName\": \"EST\",\n        \"Slots\": null,\n        \"IsHoliday\": false,\n        \"TotalResults\": 0\n    },\n    \"request_id\": \"co7qphp337fhvs8m8qp0\"\n}"
      },
      {
        "id": "TE_oP1HHCLBr33h6F41Kc",
        "language": "201",
        "customLabel": "",
        "code": "{\n    \"code\": 200,\n    \"data\": {\n        \"companyId\": \"shipper-sera\",\n        \"facilityId\": \"Rk1fOTAzMTQy\",\n        \"calendarId\": 20309,\n        \"calendarName\": \"Live pickup\",\n        \"facilityName\": \"CST -21600 Facility\",\n        \"slotInterval\": 60\n        \"isCapacityReached\": false,\n        \"timeZoneName\": \"CST\",\n        \"Slots\": [\n            {\n                \"startTime\": \"2024-03-28T11:00:00Z\",\n                \"endTime\": \"2024-03-28T12:00:00Z\",\n                \"numberOfSlots\": 1\n            },\n            {\n                \"startTime\": \"2024-03-28T12:00:00Z\",\n                \"endTime\": \"2024-03-28T13:00:00Z\",\n                \"numberOfSlots\": 1\n            },\n            {\n                \"startTime\": \"2024-03-28T13:00:00Z\",\n                \"endTime\": \"2024-03-28T14:00:00Z\",\n                \"numberOfSlots\": 1\n            },\n            {\n                \"startTime\": \"2024-03-28T14:00:00Z\",\n                \"endTime\": \"2024-03-28T15:00:00Z\",\n                \"numberOfSlots\": 1\n            },\n            {\n                \"startTime\": \"2024-03-28T15:00:00Z\",\n                \"endTime\": \"2024-03-28T16:00:00Z\",\n                \"numberOfSlots\": 1\n            }\n        ],\n        \"IsHoliday\": false,\n        \"TotalResults\": 9\n    },\n    \"request_id\": \"co2i32uq5mqtikcvr340\"\n}"
      }
    ],
    "selectedLanguageId": "V7S-XXrcxzQrPHAnE3qgH"
  },
  "request": {
    "pathParameters": [
      {
        "name": "load_number",
        "kind": "required",
        "type": "string",
        "description": "reference or Po so Number (unique)",
        "children": []
      },
      {
        "name": "shipping_type",
        "kind": "required",
        "type": "string",
        "description": "inbound / outbound",
        "children": []
      },
      {
        "name": "appointment_date",
        "kind": "required",
        "type": "string",
        "description": "YYYY-MM-DDTHH:MM:SSZ (Ex: 2024-03-23T00:00:00Z)",
        "children": []
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "staging",
  "legacyHash": "ZbIlWn5TE52LqVgpoyIT3"
}
```
:::

### Error Response

|                                                                                                                                                                                                 |                |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------- |
| Invalid Auth                                                                                                                                                                                    | \:::BlockQuote |
| \{<br />"message": "Invalid authentication credentials"<br />}                                                                                                                                  |                |
| \:::                                                                                                                                                                                            |                |
| Load Number Empty                                                                                                                                                                               | \:::BlockQuote |
| \{<br />"code": 400,<br />"error": "Key: 'FetchtSlots.LoadNumber' Error\:Field validation for 'LoadNumber' failed on the 'required' tag",<br />"request\_id": "co2iermq5mqtikcvr3h0"<br />}     |                |
| \:::                                                                                                                                                                                            |                |
| Shipping Type not passed                                                                                                                                                                        | \:::BlockQuote |
| \{<br />"code": 400,<br />"error": "Key: 'FetchtSlots.ShippingType' Error\:Field validation for 'ShippingType' failed on the 'required' tag",<br />"request\_id": "co2if0eq5mqtikcvr3hg"<br />} |                |
| \:::                                                                                                                                                                                            |                |
| Load Not Found                                                                                                                                                                                  | \:::BlockQuote |
| \{<br />"code": 400,<br />"error": "The shipment does not have an associated appointment",<br />"request\_id": "co2ifcuq5mqtikcvr3ig"<br />}                                                    |                |
| \:::                                                                                                                                                                                            |                |
| Multiple Loads Found                                                                                                                                                                            | \:::BlockQuote |
| \{<br />"code": 400,<br />"error": "The shipment has multiple appointments associated",<br />"request\_id": "cnred812kfp1012q5uj0"<br />}                                                       |                |
| \:::                                                                                                                                                                                            |                |
| No Matching Calendar                                                                                                                                                                            | \:::BlockQuote |
| \{<br />"code": 400,<br />"error": "There are no configured calendars that support shipment",<br />"request\_id": "cnredt12kfp1012q5ujg"<br />}                                                 |                |
| \:::                                                                                                                                                                                            |                |
| CBC not found                                                                                                                                                                                   | \:::BlockQuote |
| \{<br />"code": 400,<br />"error": "Calendar Basic Config not found error",<br />"request\_id": "cnregsp2kfp14qqc0490"<br />}                                                                   |                |
| \:::                                                                                                                                                                                            |                |
| Internal Error                                                                                                                                                                                  | \:::BlockQuote |
| \{<br />"code": 500,<br />"data": "Internal Server Error",<br />"request\_id": "cnrfcm12kfp1m8pbt880"<br />}                                                                                    |                |
| \:::                                                                                                                                                                                            |                |

